start:          DC.W _ubutton-start ;offset 0
                DC.W _ufillbu-start ;offset 2
                DC.W _ufillci-start ;offset 4

_vdipb:         DS.L 1          ;offset 6
;Desert Drain V1.45   68000er Disassembler  13.12.1992 14:06:08
;DATEI: PROGDEF.PRG   650 Bytes
;TEXT:    504   $001F8
;BSS:       4  $000004
;SYMBOLE: 7
OPT F+                  ;Fast-Load-Bit gesetzt
TEXT
_vdi_cal:      movea.l _vdipb,A0
move.l  A0,D1
movea.l (A0),A0
moveq   #0,D0
lea     4(SP),A1
move.b  (A1)+,D0
move.w  D0,(A0)+
move.b  (A1)+,D0
move.w  D0,(A0)+
move.b  (A1)+,D0
move.w  D0,2(A0)
move.b  (A1),D0
move.w  D0,6(A0)
move.w  #$73,D0
trap    #2              ;vdi
rts     
_ubutton:      movem.l D7/A2/A4/A5,-(SP)
movea.l $14(SP),A5
movea.l A5,A2
bsr     _koo_tra
movea.l _vdipb,A0
movea.l 8(A0),A4
move.l  #$B020001,-(SP)
jsr     _vdi_cal
addq.w  #4,SP
btst    #0,9(A5)
beq.s   T_82
move.l  #$6020000,-(SP)
jsr     _vdi_cal
move.w  2(A4),D7
move.w  6(A4),2(A4)
move.w  D7,6(A4)
move.l  #$6020000,(SP)
jsr     _vdi_cal
addq.w  #4,SP
T_82:          moveq   #$FE,D0
and.w   8(A5),D0
movem.l (SP)+,D7/A2/A4/A5
rts     
_ufillbu:      movem.l A2/A4/A5,-(SP)
movea.l $10(SP),A5
movea.l A5,A2
bsr     _koo_tra
move.l  #$B020001,-(SP)
jsr     _vdi_cal
addq.w  #4,SP
btst    #0,9(A5)
beq.s   T_E0
moveq   #2,D0
moveq   #8,D1
bsr     @deffill
movea.l _vdipb,A0
movea.l 8(A0),A4
addq.w  #2,(A4)
addq.w  #2,2(A4)
subq.w  #2,4(A4)
subq.w  #2,6(A4)
move.l  #$B020001,-(SP)
jsr     _vdi_cal
addq.w  #4,SP
T_E0:          moveq   #$FE,D0
and.w   8(A5),D0
movem.l (SP)+,A2/A4/A5
rts     
_ufillci:      movem.l D7/A4/A5,-(SP)
movea.l $10(SP),A5
moveq   #0,D0
move.l  D0,D1
bsr     @deffill
movea.l _vdipb,A0
movea.l 8(A0),A4
move.w  14(A5),D0
asr.w   #1,D0
move.l  D0,D7
move.w  10(A5),D0
add.w   D7,D0
move.w  D0,(A4)
move.w  $10(A5),D0
asr.w   #1,D0
move.w  12(A5),D1
add.w   D0,D1
move.w  D1,2(A4)
move.w  D7,8(A4)
move.l  #$B030004,-(SP)
jsr     _vdi_cal
addq.w  #4,SP
btst    #0,9(A5)
beq.s   T_15A
moveq   #2,D0
moveq   #8,D1
bsr     @deffill
subq.w  #3,8(A4)
move.l  #$B030004,-(SP)
jsr     _vdi_cal
addq.w  #4,SP
T_15A:         moveq   #$FE,D0
and.w   8(A5),D0
movem.l (SP)+,D7/A4/A5
rts     
_koo_tra:      movem.l A2/A4/A5,-(SP)
movea.l A2,A5
moveq   #0,D0
move.l  D0,D1
bsr     @deffill
movea.l _vdipb,A0
movea.l 8(A0),A4
move.w  10(A5),D0
addq.w  #1,D0
move.w  D0,(A4)
move.w  12(A5),D1
addq.w  #1,D1
move.w  D1,2(A4)
move.w  (A4),D0
add.w   14(A5),D0
subq.w  #2,D0
move.w  D0,4(A4)
move.w  2(A4),D0
add.w   $10(A5),D0
subq.w  #2,D0
move.w  D0,6(A4)
movem.l (SP)+,A2/A4/A5
rts     
@deffill:      movem.l D6/D7/A5,-(SP)
move.l  D0,D7
move.l  D1,D6
movea.l _vdipb,A0
movea.l 4(A0),A5
move.w  #1,(A5)
move.l  #$19000100,-(SP)
jsr     _vdi_cal
move.w  D7,(A5)
move.l  #$17000100,(SP)
jsr     _vdi_cal
move.w  D6,(A5)
move.l  #$18000100,(SP)
jsr     _vdi_cal
addq.w  #4,SP
movem.l (SP)+,D6/D7/A5
rts     
dc.w    $0000           ;  
BSS
_vdipb:        ds.l    1               ;=4
END




















